Have the visual diff system display content attribute changes
Closed, ResolvedPublic8 Story Points

Description

At the moment the differ displays content attribute changes (e.g. adding a link to some text, removing bold styling, etc) as removing the old content and inserting the new. We should work out a more informative way to display such changes.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2017, 9:32 PM

Change 336547 had a related patch set uploaded (by Tchanders):
VisualDiff: Distinguish between annotation/character changes

https://gerrit.wikimedia.org/r/336547

Jdforrester-WMF triaged this task as High priority.Feb 8 2017, 11:16 PM
Jdforrester-WMF added a project: Design.
Jdforrester-WMF set the point value for this task to 8.

Change 336547 merged by jenkins-bot:
VisualDiff: Distinguish between annotation/character changes

https://gerrit.wikimedia.org/r/336547

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Hard bit done, now it 'just' needs to be turned into UI.

Change 340160 had a related patch set uploaded (by Esanders):
[VisualEditor/VisualEditor] VisualDiff: Show attribute changes in a sidebar

https://gerrit.wikimedia.org/r/340160

Change 340160 merged by jenkins-bot:
[VisualEditor/VisualEditor] VisualDiff: Show attribute changes in a sidebar

https://gerrit.wikimedia.org/r/340160

Change 342963 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (8817821b6)

https://gerrit.wikimedia.org/r/342963

Jdforrester-WMF closed this task as Resolved.Mar 16 2017, 3:38 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 16 2017, 3:38 PM

Change 342963 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (8817821b6)

https://gerrit.wikimedia.org/r/342963

Dvorapa removed a subscriber: Dvorapa.